Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Spatial Java API Reference 10g Release 2 (10.2) B14373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.spatial.network
Interface XMLUserDataIO

public interface XMLUserDataIO

Method Summary
`void` | `getUserNameSpaces()` Returns user defined name spaces, null if none.
`void` | `readUserData(java.io.Reader xmlReader, Network network)` Reads user defined data from the XML source and associates it with the network.
`void` | `writeUserData(java.io.Writer xmlWriter, Link link)` Writes the user defined data to the XML source at the link level.
`void` | `writeUserData(java.io.Writer xmlWriter, Network network)` Writes the user defined data to the XML source at the network level.
`void` | `writeUserData(java.io.Writer xmlWriter, NetworkMetadata metadata)` Writes the user defined data to the XML source at the network metadata level.
`void` | `writeUserData(java.io.Writer xmlWriter, Node node)` Writes the user defined data to the XML source at the node level.
`void` | `writeUserData(java.io.Writer xmlWriter, Path path)` Writes the user defined data to the XML source at the path level.

Method Detail

### readUserData

    public void readUserData(java.io.Reader xmlReader,
                             Network network)

  Reads user defined data from the XML source and associates it with the network.
  Parameters:
    `network` - the network with which the user's data is to be associated

### getUserNameSpaces

    public void getUserNameSpaces()

  Returns user defined name spaces, null if none. This is needed if users provide their own xml schema to validation purpose. Example: " xmlns:myns=\"http://myxmlns.com/myns"\" "

### writeUserData

    public void writeUserData(java.io.Writer xmlWriter,
                              NetworkMetadata metadata)

  Writes the user defined data to the XML source at the network metadata level.
  Parameters:
    `xmlWriter` -
    `metadata` - the network with which the user defined data is to be associated.

### writeUserData

    public void writeUserData(java.io.Writer xmlWriter,
                              Network network)

  Writes the user defined data to the XML source at the network level.
  Parameters:
    `xmlWriter` -
    `network` - the network with which the user defined data is to be associated.

### writeUserData

    public void writeUserData(java.io.Writer xmlWriter,
                              Node node)

  Writes the user defined data to the XML source at the node level.
  Parameters:
    `xmlWriter` -
    `node` - the node with which the user defined data is to be associated.

### writeUserData

    public void writeUserData(java.io.Writer xmlWriter,
                              Link link)

  Writes the user defined data to the XML source at the link level.
  Parameters:
    `xmlWriter` -
    `link` - the link with which the user defined data is to be associated.

### writeUserData

    public void writeUserData(java.io.Writer xmlWriter,
                              Path path)

  Writes the user defined data to the XML source at the path level.
  Parameters:
    `xmlWriter` -
    `path` - the path with which the user defined data is to be associated.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Spatial Java API Reference 10g Release 2 (10.2) B14373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, Oracle. All Rights Reserved.